#include <jni.h>
#include <iniparser.h>
#import <iniparser.c>
#import <dictionary.c>

dictionary * dict;


JNIEXPORT void JNICALL Java_config_config_open(JNIEnv *env, jobject obj, jstring javaString)
{
	const char *nv = (*env)->GetStringUTFChars(env,javaString,0);
	dict = iniparser_load(nv);
	(*env)->ReleaseStringUTFChars(env,javaString, nv);
}

JNIEXPORT jstring JNICALL Java_config_config_getString(JNIEnv *env, jobject obj, jstring javaString)
{
	const char *nv = (*env)->GetStringUTFChars(env,javaString,0);
	char * b = iniparser_getstring(dict,nv,"");
	jstring ret = (*env)->NewStringUTF(env,b);
	(*env)->ReleaseStringUTFChars(env,javaString, nv);
	return ret;
}


JNIEXPORT jint JNICALL Java_config_config_getInt(JNIEnv *env, jobject obj, jstring javaString)
{
	const char *nv = (*env)->GetStringUTFChars(env,javaString,0);
	int ret = iniparser_getint(dict,nv,0);
	(*env)->ReleaseStringUTFChars(env,javaString, nv);
	return ret;
}

JNIEXPORT jboolean JNICALL Java_config_config_getBool(JNIEnv *env, jobject obj, jstring javaString)
{
	const char *nv = (*env)->GetStringUTFChars(env,javaString,0);
	int ret = iniparser_getboolean(dict,nv,0);
	(*env)->ReleaseStringUTFChars(env,javaString, nv);
	return ret;
}


JNIEXPORT void JNICALL Java_config_config_close(JNIEnv *env, jobject obj)
{
	iniparser_freedict(dict);
}
